CRM
Update CRM view
PATCH
/
v1
/
crm
/
views
/
{viewID}
Update CRM view
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/views/{viewID} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"columns": [
{
"field": "<string>",
"hidden": true,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"description": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": true,
"is_pinned": true,
"metadata": "<unknown>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"source_list_id": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
columns: [
{
field: '<string>',
hidden: true,
label: '<string>',
pinned: '<string>',
position: 123,
source: '<string>',
width: 123
}
],
description: '<string>',
filters: [
{
field: '<string>',
operator: '<string>',
source: '<string>',
value: '<unknown>'
}
],
group_by: [{field: '<string>', direction: '<string>', source: '<string>'}],
is_default: true,
is_pinned: true,
metadata: '<unknown>',
sorts: [{field: '<string>', direction: '<string>', source: '<string>'}],
source_list_id: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/views/{viewID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/views/{viewID}"
payload = {
"name": "<string>",
"columns": [
{
"field": "<string>",
"hidden": True,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"description": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": True,
"is_pinned": True,
"metadata": "<unknown>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"source_list_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"display_type": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"object_kind": "<string>",
"source_list_id": "<string>",
"updated_at": "<string>",
"columns": [
{
"field": "<string>",
"hidden": true,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": true,
"is_pinned": true,
"row_height": "<string>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"visibility": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
Show child attributes
Show child attributes
Available options:
table, kanban, calendar Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
compact, comfortable, spacious Show child attributes
Show child attributes
Available options:
private, shared Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update CRM view
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/views/{viewID} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"columns": [
{
"field": "<string>",
"hidden": true,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"description": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": true,
"is_pinned": true,
"metadata": "<unknown>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"source_list_id": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
columns: [
{
field: '<string>',
hidden: true,
label: '<string>',
pinned: '<string>',
position: 123,
source: '<string>',
width: 123
}
],
description: '<string>',
filters: [
{
field: '<string>',
operator: '<string>',
source: '<string>',
value: '<unknown>'
}
],
group_by: [{field: '<string>', direction: '<string>', source: '<string>'}],
is_default: true,
is_pinned: true,
metadata: '<unknown>',
sorts: [{field: '<string>', direction: '<string>', source: '<string>'}],
source_list_id: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/views/{viewID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/views/{viewID}"
payload = {
"name": "<string>",
"columns": [
{
"field": "<string>",
"hidden": True,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"description": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": True,
"is_pinned": True,
"metadata": "<unknown>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"source_list_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"display_type": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"object_kind": "<string>",
"source_list_id": "<string>",
"updated_at": "<string>",
"columns": [
{
"field": "<string>",
"hidden": true,
"label": "<string>",
"pinned": "<string>",
"position": 123,
"source": "<string>",
"width": 123
}
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"source": "<string>",
"value": "<unknown>"
}
],
"group_by": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"is_default": true,
"is_pinned": true,
"row_height": "<string>",
"sorts": [
{
"field": "<string>",
"direction": "<string>",
"source": "<string>"
}
],
"visibility": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}